import { Meta, Preview, Story, Props } from "@storybook/addon-docs/blocks";
import { Button } from "../src/Button";

<Meta title="Button" component={Button} parameters={{ jest: ["Button"] }} />

# Button

Here's a _basic_ example using only text:

<Preview>
  <Story name="Text">
    <Button>Hello Button</Button>
  </Story>
</Preview>

And here's a slightly more advanced example using emoji!

<Preview>
  <Story name="With Emoji">
    <Button>
      <span role="img" aria-label="so cool">
        😀 😎 👍 💯
      </span>
    </Button>
  </Story>
</Preview>

And I can also embed arbitrary markdown \* JSX in this file.

<Button>Hi there!</Button>

And here are the supported props for this component:

<Props of={Button} />
